
%global meadversion 2.1.19
%global namedversion 2.1.19-redhat-2
%global meadalpha .3.redhat_2
%global meadrel %{nil}
%global serial 2

%bcond_without mead

%define maven_version 2.1.19-3.redhat_2.ep6.el6

Name:           glassfish-jsf-eap6
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        GlassFish JSF
License:        CDDL
Group:          Development/Java

%if %with mead
Source102: jsf-impl-2.1.19-redhat-2.pom
Source103: jsf-impl-2.1.19-redhat-2.jar
Source104: jsf-impl-2.1.19-redhat-2-sources.jar
Source105: jsf-api-2.1.19-redhat-2.pom
Source106: jsf-api-2.1.19-redhat-2.jar
Source107: jsf-api-2.1.19-redhat-2-sources.jar
%endif

URL:            https://javaserverfaces.dev.java.net/
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/glassfish-jsf-eap6-%{namedversion}-%{release}-root

%description
The JSF 2.0 implementation. NB: We've omitted the classes
 Jetty6InjectionProvider and GlassFishInjectionProvider from the package
com.sun.faces.vendor.

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/jsf-api-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jsf-api-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jsf-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/jsf-api-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jsf-impl-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jsf-impl-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jsf-impl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/jsf-impl-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/jsf-api-%{namedversion}.jar
%{_javadir}/%{name}/jsf-api-%{namedversion}-sources.jar
%{_javadir}/%{name}/jsf-api.jar
%{_javadir}/%{name}/jsf-api-sources.jar
%{_javadir}/%{name}/jsf-impl-%{namedversion}.jar
%{_javadir}/%{name}/jsf-impl-%{namedversion}-sources.jar
%{_javadir}/%{name}/jsf-impl.jar
%{_javadir}/%{name}/jsf-impl-sources.jar

%changelog
* Fri Oct 25 2013 Permaine Cheung <pcheung@redhat.com> - 2.1.19-2.3.redhat_2
Add sources.jar

* Wed Oct 23 2013 David Walluck <dwalluck@redhat.com> 0:2.1.19-1
- release
